Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.context.annotation
Class CommonAnnotationBeanPostProcessor.LookupElement

    java.lang.Object
      org.springframework.beans.factory.annotation.InjectionMetadata.InjectedElement
          org.springframework.context.annotation.CommonAnnotationBeanPostProcessor.LookupElement

Enclosing class:
  CommonAnnotationBeanPostProcessor

    protected abstract class CommonAnnotationBeanPostProcessor.LookupElement

extends InjectionMetadata.InjectedElement

Class representing generic injection information about an annotated field or setter method, supporting @Resource and related annotations.

Field Summary
`protected boolean` | `isDefaultName`
`protected java.lang.Class<?>` | `lookupType`
`protected java.lang.String` | `mappedName`
`protected java.lang.String` | `name`

Fields inherited from class org.springframework.beans.factory.annotation.InjectionMetadata.InjectedElement
`isField, member, pd, skip`

Constructor Summary
`CommonAnnotationBeanPostProcessor.LookupElement(java.lang.reflect.Member member, java.beans.PropertyDescriptor pd)`

Method Summary
`DependencyDescriptor` | `getDependencyDescriptor()` Build a DependencyDescriptor for the underlying field/method.
`java.lang.Class<?>` | `getLookupType()` Return the desired type for the lookup.
`java.lang.String` | `getName()` Return the resource name for the lookup.
`protected abstract void` | `initAnnotation(java.lang.reflect.AnnotatedElement ae)`

Methods inherited from class org.springframework.beans.factory.annotation.InjectionMetadata.InjectedElement
`checkPropertySkipping, checkResourceType, equals, getMember, getResourceToInject, getResourceType, hashCode, inject, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

### isDefaultName

    protected boolean isDefaultName

### lookupType

    protected java.lang.Class<?> lookupType

### mappedName

    protected java.lang.String mappedName

Constructor Detail

### CommonAnnotationBeanPostProcessor.LookupElement

    public CommonAnnotationBeanPostProcessor.LookupElement(java.lang.reflect.Member member,
                                                           java.beans.PropertyDescriptor pd)

Method Detail

### initAnnotation

    protected abstract void initAnnotation(java.lang.reflect.AnnotatedElement ae)

### getName

    public final java.lang.String getName()

  Return the resource name for the lookup.

### getLookupType

    public final java.lang.Class<?> getLookupType()

  Return the desired type for the lookup.

### getDependencyDescriptor

    public final DependencyDescriptor getDependencyDescriptor()

  Build a DependencyDescriptor for the underlying field/method.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD